OrderingListTag (RichFaces JSF components library 3.2.1.GA API)
Keywords: org.richfaces.taglib.OrderingListTag class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.taglib
Class OrderingListTag

    java.lang.Object
      javax.faces.webapp.UIComponentTagBase
          javax.faces.webapp.UIComponentClassicTagBase
              javax.faces.webapp.UIComponentELTag
                  org.richfaces.webapp.taglib.UIComponentELTagBase
                      org.ajax4jsf.webapp.taglib.UIComponentTagBase
                          org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
                              org.richfaces.taglib.OrderingListTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspIdConsumer, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class OrderingListTag

extends org.ajax4jsf.webapp.taglib.HtmlComponentTagBase

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentClassicTagBase
`bodyContent, pageContext, UNIQUE_ID_PREFIX`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Constructor Summary
`OrderingListTag()`

Method Summary
`java.lang.String` | `getComponentType()`
`java.lang.String` | `getRendererType()`
`void` | `release()`
`void` | `setActiveItem(javax.el.ValueExpression __activeItem)` Stores active item Setter for activeItem
`void` | `setAjaxKeys(javax.el.ValueExpression __ajaxKeys)` Defines row keys that are updated after an Ajax request Setter for ajaxKeys
`void` | `setBottomControlLabel(javax.el.ValueExpression __bottomControlLabel)` Defines a label for a 'Bottom' control Setter for bottomControlLabel
`void` | `setCaptionLabel(javax.el.ValueExpression __captionLabel)` Defines caption representation text Setter for captionLabel
`void` | `setColumnClasses(javax.el.ValueExpression __columnClasses)` CSS class for a column Setter for columnClasses
`void` | `setComponentState(javax.el.ValueExpression __componentState)` It defines EL-binding for a component state for saving or redefinition Setter for componentState
`void` | `setControlsHorizontalAlign(javax.el.ValueExpression __controlsHorizontalAlign)` Controls horizontal rendering.
`void` | `setControlsType(javax.el.ValueExpression __controlsType)` Defines type of a control: button or none.
`void` | `setControlsVerticalAlign(javax.el.ValueExpression __controlsVerticalAlign)` Controls vertical rendering.
`void` | `setConverter(javax.el.ValueExpression __converter)` Id of Converter to be used or reference to a Converter Setter for converter
`void` | `setDownControlLabel(javax.el.ValueExpression __downControlLabel)` Defines a label for a 'Down' control Setter for downControlLabel
`void` | `setFastOrderControlsVisible(javax.el.ValueExpression __fastOrderControlsVisible)` If "false", 'Top' and 'Bottom' controls aren't displayed.
`void` | `setImmediate(javax.el.ValueExpression __immediate)` A flag indicating that this component value must be converted and validated immediately (that is, during Apply Request Values phase), rather than waiting until a Process Validations phase Setter for immediate
`void` | `setListHeight(javax.el.ValueExpression __listHeight)` Defines height of a list.
`void` | `setListWidth(javax.el.ValueExpression __listWidth)` Defines width of a list.
`void` | `setOnbottomclick(javax.el.ValueExpression __onbottomclick)` A JavaScript event handler; a button "Bottom" is clicked Setter for onbottomclick
`void` | `setOndownclick(javax.el.ValueExpression __ondownclick)` A JavaScript event handler; a button "Down" is clicked Setter for ondownclick
`void` | `setOnheaderclick(javax.el.ValueExpression __onheaderclick)` A JavaScript event handler; a header is clicked Setter for onheaderclick
`void` | `setOnorderchanged(javax.el.ValueExpression __onorderchanged)` A JavaScript event handler called on an order operation Setter for onorderchanged
`void` | `setOntopclick(javax.el.ValueExpression __ontopclick)` A JavaScript event handler; a button "Top" is clicked Setter for ontopclick
`void` | `setOnupclick(javax.el.ValueExpression __onupclick)` HTML: a script expression; a button "Up" is clicked Setter for onupclick
`void` | `setOrderControlsVisible(javax.el.ValueExpression __orderControlsVisible)` If "false", 'Up' and 'Down' controls aren't displayed.
`protected void` | `setProperties(javax.faces.component.UIComponent component)`
`void` | `setRequired(javax.el.ValueExpression __required)` If "true", this component is checked for non-empty input Setter for required
`void` | `setRowClasses(javax.el.ValueExpression __rowClasses)` CSS class for a row Setter for rowClasses
`void` | `setRowKey(javax.el.ValueExpression __rowKey)` RowKey is a representation of an identifier for a specific data row Setter for rowKey
`void` | `setRowKeyConverter(javax.el.ValueExpression __rowKeyConverter)` Converter for a row key object Setter for rowKeyConverter
`void` | `setRowKeyVar(java.lang.String __rowKeyVar)` The attribute provides access to a row key in a Request scope Setter for rowKeyVar
`void` | `setRows(javax.el.ValueExpression __rows)` A number of rows to display, or zero for all remaining rows in the list Setter for rows
`void` | `setSelection(javax.el.ValueExpression __selection)` Collection which stores a set of selected items Setter for selection
`void` | `setShowButtonLabels(javax.el.ValueExpression __showButtonLabels)` If "true", shows a label for a button Setter for showButtonLabels
`void` | `setTopControlLabel(javax.el.ValueExpression __topControlLabel)` Defines a label for a 'Top' control Setter for topControlLabel
`void` | `setUpControlLabel(javax.el.ValueExpression __upControlLabel)` Defines a label for a 'Up' control Setter for upControlLabel
`void` | `setValidator(javax.el.MethodExpression __validator)` MethodBinding pointing at a method that is called during Process Validations phase of the request processing lifecycle, to validate the current value of this component Setter for validator
`void` | `setValue(javax.el.ValueExpression __value)` Defines a List or Array of items to be shown in a list Setter for value
`void` | `setValueChangeListener(javax.el.MethodExpression __valueChangeListener)` Listener for value changes Setter for valueChangeListener
`void` | `setVar(java.lang.String __var)` Defines a list on the page Setter for var

Methods inherited from class org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
`setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

Methods inherited from class org.ajax4jsf.webapp.taglib.UIComponentTagBase
`getExpressionFactory, isValueReference, setActionListenerProperty, setActionProperty, setBooleanProperty, setBooleanProperty, setDoubleProperty, setDoubleProperty, setFloatProperty, setFloatProperty, setIntegerProperty, setIntegerProperty, setLongProperty, setLongProperty, setProperty, setProperty, setStringProperty, setStringProperty, setValueChangedListenerProperty, setValueProperty, setValueProperty`

Methods inherited from class org.richfaces.webapp.taglib.UIComponentELTagBase
`setActionListenerProperty, setActionProperty, setConverterProperty, setRowKeyConverterProperty, setValidatorProperty, setValueChangeListenerProperty`

Methods inherited from class javax.faces.webapp.UIComponentELTag
`createComponent, getELContext, hasBinding, setBinding, setRendered`

Methods inherited from class javax.faces.webapp.UIComponentClassicTagBase
`addChild, addFacet, addVerbatimAfterComponent, addVerbatimBeforeComponent, createVerbatimComponent, createVerbatimComponentFromBodyContent, doAfterBody, doEndTag, doInitBody, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getBodyContent, getComponentInstance, getCreated, getCreatedComponents, getDoAfterBodyValue, getDoEndValue, getDoStartValue, getFacesContext, getFacesJspId, getFacetName, getId, getIndexOfNextChildTag, getJspId, getParent, getParentUIComponentClassicTagBase, getPreviousOut, setBodyContent, setId, setJspId, setPageContext, setParent, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`doEndTag, doStartTag, getParent, setPageContext, setParent`

Constructor Detail

### OrderingListTag

    public OrderingListTag()

Method Detail

### setActiveItem

    public void setActiveItem(javax.el.ValueExpression __activeItem)

  Stores active item Setter for activeItem

  Parameters:
    `activeItem` - - new value

### setAjaxKeys

    public void setAjaxKeys(javax.el.ValueExpression __ajaxKeys)

  Defines row keys that are updated after an Ajax request Setter for ajaxKeys

  Parameters:
    `ajaxKeys` - - new value

### setBottomControlLabel

    public void setBottomControlLabel(javax.el.ValueExpression __bottomControlLabel)

  Defines a label for a 'Bottom' control Setter for bottomControlLabel

  Parameters:
    `bottomControlLabel` - - new value

### setCaptionLabel

    public void setCaptionLabel(javax.el.ValueExpression __captionLabel)

  Defines caption representation text Setter for captionLabel

  Parameters:
    `captionLabel` - - new value

### setColumnClasses

    public void setColumnClasses(javax.el.ValueExpression __columnClasses)

  CSS class for a column Setter for columnClasses

  Parameters:
    `columnClasses` - - new value

### setComponentState

    public void setComponentState(javax.el.ValueExpression __componentState)

  It defines EL-binding for a component state for saving or redefinition Setter for componentState

  Parameters:
    `componentState` - - new value

### setControlsHorizontalAlign

    public void setControlsHorizontalAlign(javax.el.ValueExpression __controlsHorizontalAlign)

  Controls horizontal rendering. Possible values: left - controls should be rendered to the left side of a list. right- controls should be rendered to the right side of a list. Default value is "right". Setter for controlsHorizontalAlign

  Parameters:
    `controlsHorizontalAlign` - - new value

### setControlsType

    public void setControlsType(javax.el.ValueExpression __controlsType)

  Defines type of a control: button or none. Default value is "button". Setter for controlsType

  Parameters:
    `controlsType` - - new value

### setControlsVerticalAlign

    public void setControlsVerticalAlign(javax.el.ValueExpression __controlsVerticalAlign)

  Controls vertical rendering. Possible values: top - controls should be rendered aligned to top side of a list. bottom - controls should be rendered aligned to bottom side of a list. middle (default) - controls should be rendered centered relatively to a list. Setter for controlsVerticalAlign

  Parameters:
    `controlsVerticalAlign` - - new value

### setConverter

    public void setConverter(javax.el.ValueExpression __converter)

  Id of Converter to be used or reference to a Converter Setter for converter

  Parameters:
    `converter` - - new value

### setDownControlLabel

    public void setDownControlLabel(javax.el.ValueExpression __downControlLabel)

  Defines a label for a 'Down' control Setter for downControlLabel

  Parameters:
    `downControlLabel` - - new value

### setFastOrderControlsVisible

    public void setFastOrderControlsVisible(javax.el.ValueExpression __fastOrderControlsVisible)

  If "false", 'Top' and 'Bottom' controls aren't displayed. Default value is "true". Setter for fastOrderControlsVisible

  Parameters:
    `fastOrderControlsVisible` - - new value

### setImmediate

    public void setImmediate(javax.el.ValueExpression __immediate)

  A flag indicating that this component value must be converted and validated immediately (that is, during Apply Request Values phase), rather than waiting until a Process Validations phase Setter for immediate

  Parameters:
    `immediate` - - new value

### setListHeight

    public void setListHeight(javax.el.ValueExpression __listHeight)

  Defines height of a list. Default value is "140". Setter for listHeight

  Parameters:
    `listHeight` - - new value

### setListWidth

    public void setListWidth(javax.el.ValueExpression __listWidth)

  Defines width of a list. Default value is "140". Setter for listWidth

  Parameters:
    `listWidth` - - new value

### setOnbottomclick

    public void setOnbottomclick(javax.el.ValueExpression __onbottomclick)

  A JavaScript event handler; a button "Bottom" is clicked Setter for onbottomclick

  Parameters:
    `onbottomclick` - - new value

### setOndownclick

    public void setOndownclick(javax.el.ValueExpression __ondownclick)

  A JavaScript event handler; a button "Down" is clicked Setter for ondownclick

  Parameters:
    `ondownclick` - - new value

### setOnheaderclick

    public void setOnheaderclick(javax.el.ValueExpression __onheaderclick)

  A JavaScript event handler; a header is clicked Setter for onheaderclick

  Parameters:
    `onheaderclick` - - new value

### setOnorderchanged

    public void setOnorderchanged(javax.el.ValueExpression __onorderchanged)

  A JavaScript event handler called on an order operation Setter for onorderchanged

  Parameters:
    `onorderchanged` - - new value

### setOntopclick

    public void setOntopclick(javax.el.ValueExpression __ontopclick)

  A JavaScript event handler; a button "Top" is clicked Setter for ontopclick

  Parameters:
    `ontopclick` - - new value

### setOnupclick

    public void setOnupclick(javax.el.ValueExpression __onupclick)

  HTML: a script expression; a button "Up" is clicked Setter for onupclick

  Parameters:
    `onupclick` - - new value

### setOrderControlsVisible

    public void setOrderControlsVisible(javax.el.ValueExpression __orderControlsVisible)

  If "false", 'Up' and 'Down' controls aren't displayed. Default value is "true". Setter for orderControlsVisible

  Parameters:
    `orderControlsVisible` - - new value

### setRequired

    public void setRequired(javax.el.ValueExpression __required)

  If "true", this component is checked for non-empty input Setter for required

  Parameters:
    `required` - - new value

### setRowClasses

    public void setRowClasses(javax.el.ValueExpression __rowClasses)

  CSS class for a row Setter for rowClasses

  Parameters:
    `rowClasses` - - new value

### setRowKey

    public void setRowKey(javax.el.ValueExpression __rowKey)

  RowKey is a representation of an identifier for a specific data row Setter for rowKey

  Parameters:
    `rowKey` - - new value

### setRowKeyConverter

    public void setRowKeyConverter(javax.el.ValueExpression __rowKeyConverter)

  Converter for a row key object Setter for rowKeyConverter

  Parameters:
    `rowKeyConverter` - - new value

### setRowKeyVar

    public void setRowKeyVar(java.lang.String __rowKeyVar)

  The attribute provides access to a row key in a Request scope Setter for rowKeyVar

  Parameters:
    `rowKeyVar` - - new value

### setRows

    public void setRows(javax.el.ValueExpression __rows)

  A number of rows to display, or zero for all remaining rows in the list Setter for rows

  Parameters:
    `rows` - - new value

### setSelection

    public void setSelection(javax.el.ValueExpression __selection)

  Collection which stores a set of selected items Setter for selection

  Parameters:
    `selection` - - new value

### setShowButtonLabels

    public void setShowButtonLabels(javax.el.ValueExpression __showButtonLabels)

  If "true", shows a label for a button Setter for showButtonLabels

  Parameters:
    `showButtonLabels` - - new value

### setTopControlLabel

    public void setTopControlLabel(javax.el.ValueExpression __topControlLabel)

  Defines a label for a 'Top' control Setter for topControlLabel

  Parameters:
    `topControlLabel` - - new value

### setUpControlLabel

    public void setUpControlLabel(javax.el.ValueExpression __upControlLabel)

  Defines a label for a 'Up' control Setter for upControlLabel

  Parameters:
    `upControlLabel` - - new value

### setValidator

    public void setValidator(javax.el.MethodExpression __validator)

  MethodBinding pointing at a method that is called during Process Validations phase of the request processing lifecycle, to validate the current value of this component Setter for validator

  Parameters:
    `validator` - - new value

### setValue

    public void setValue(javax.el.ValueExpression __value)

  Defines a List or Array of items to be shown in a list Setter for value

  Parameters:
    `value` - - new value

### setValueChangeListener

    public void setValueChangeListener(javax.el.MethodExpression __valueChangeListener)

  Listener for value changes Setter for valueChangeListener

  Parameters:
    `valueChangeListener` - - new value

### setVar

    public void setVar(java.lang.String __var)

  Defines a list on the page Setter for var

  Parameters:
    `var` - - new value

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### getComponentType

    public java.lang.String getComponentType()

  Specified by:
    `getComponentType` in class `javax.faces.webapp.UIComponentTagBase`

### getRendererType

    public java.lang.String getRendererType()

  Specified by:
    `getRendererType` in class `javax.faces.webapp.UIComponentTagBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.